# LineIDsForNode(string)

Method in [Program](/3.1/api/csharp/yarn/yarn.program.md)

## Summary

Identifies and returns a list of all line and option IDs inside the node.

```csharp
public List<string>? LineIDsForNode(string nodeName)
```

## Parameters

| Name              | Description                                   |
| ----------------- | --------------------------------------------- |
| `string` nodeName | The name of the node whos line IDs you covet. |

## Returns

The line IDs of all lines and options inside the node, or `null` if `nodeName` doesn't exist in the program.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn/yarn.program/yarn.program.lineidsfornode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
